API Reference
The variables endpoints: manage global and per-product variables.
The global and product endpoints use your Kora API key (Authorization: Bearer <key>). The
user variable endpoints are authenticated by a license key in the request instead, so your
product or a customer can manage their own isolated variables without the admin key. Change the host
variable in the playground to point at your own instance.
Authorization
apiKey Your Kora API key, sent as Authorization: Bearer <key>.
In: header
Response Body
application/json
curl -X GET "https://example.com/variables"[ { "scope": "global", "owner": "string", "key": "string", "value": null }]Authorization
apiKey Your Kora API key, sent as Authorization: Bearer <key>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/variables" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "value": null }'Authorization
apiKey Your Kora API key, sent as Authorization: Bearer <key>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/variables" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "value": null }'Authorization
apiKey Your Kora API key, sent as Authorization: Bearer <key>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X DELETE "https://example.com/variables" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'Authorization
apiKey Your Kora API key, sent as Authorization: Bearer <key>.
In: header
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/variables/product"[ { "scope": "global", "owner": "string", "key": "string", "value": null }]Authorization
apiKey Your Kora API key, sent as Authorization: Bearer <key>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/variables/product" \ -H "Content-Type: application/json" \ -d '{ "product": "string", "name": "string", "value": null }'Authorization
apiKey Your Kora API key, sent as Authorization: Bearer <key>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/variables/product" \ -H "Content-Type: application/json" \ -d '{ "product": "string", "name": "string", "value": null }'Authorization
apiKey Your Kora API key, sent as Authorization: Bearer <key>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X DELETE "https://example.com/variables/product" \ -H "Content-Type: application/json" \ -d '{ "product": "string", "name": "string" }'curl -X GET "https://example.com/variables/user?license_key=string"[ { "scope": "global", "owner": "string", "key": "string", "value": null }]Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/variables/user" \ -H "Content-Type: application/json" \ -d '{ "license_key": "string", "key": "string", "value": null }'Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/variables/user" \ -H "Content-Type: application/json" \ -d '{ "license_key": "string", "key": "string" }'Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X DELETE "https://example.com/variables/user" \ -H "Content-Type: application/json" \ -d '{ "license_key": "string", "key": "string" }'
